OGRE: Ogre::StaticGeometry::LODBucket Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::StaticGeometry::LODBucket Class Reference

A LODBucket is a collection of smaller buckets with the same LOD. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::LODBucket:
[legend]

## Public Types
typedef std::map< String, MaterialBucket * > | MaterialBucketMap
| Lookup of Material Buckets in this region.
typedef MapIterator< MaterialBucketMap > | MaterialIterator
| Iterator over the materials in this LOD.

## Public Member Functions
| LODBucket (Region *parent, unsigned short lod, Real lodValue)
virtual | ~LODBucket ()
void | addRenderables (RenderQueue *queue, uint8 group, Real lodValue)
| Add children to the render queue.
void | assign (QueuedSubMesh *qsm, ushort atLod)
| Assign a queued submesh to this bucket, using specified mesh LOD.
void | build (bool stencilShadows)
| Build.
EdgeData * | getEdgeList () const
ushort | getLod (void) const
| Get the LOD index.
Real | getLodValue (void) const
| Get the LOD value.
const MaterialBucketMap & | getMaterialBuckets () const
| Get an iterator over the materials in this LOD.
MaterialIterator | getMaterialIterator (void)
Region * | getParent (void)
ShadowCaster::ShadowRenderableList & | getShadowRenderableList ()
bool | isVertexProgramInUse () const
void | updateShadowRenderables (const Vector4 &lightPos, const HardwareIndexBufferPtr &indexBuffer, Real extrusionDistance, int flags=0)
void | visitRenderables (Renderable::Visitor *visitor, bool debugRenderables)

## Detailed Description

A LODBucket is a collection of smaller buckets with the same LOD.

LOD refers to Mesh LOD here. Material LOD can change separately at the next bucket down from this.

## Member Typedef Documentation

## ◆ MaterialBucketMap

typedef std::map<String, MaterialBucket*> Ogre::StaticGeometry::LODBucket::MaterialBucketMap

Lookup of Material Buckets in this region.

## ◆ MaterialIterator

typedef MapIterator<MaterialBucketMap> Ogre::StaticGeometry::LODBucket::MaterialIterator

Iterator over the materials in this LOD.

## Constructor & Destructor Documentation

## ◆ LODBucket()

Ogre::StaticGeometry::LODBucket::LODBucket | ( | Region * | parent,
|  | unsigned short | lod,
|  | Real | lodValue )

Referenced by operator<<.

## ◆ ~LODBucket()

virtual Ogre::StaticGeometry::LODBucket::~LODBucket | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getParent()

Region * Ogre::StaticGeometry::LODBucket::getParent | ( | void |  | ) |
| inline

## ◆ getLod()

ushort Ogre::StaticGeometry::LODBucket::getLod | ( | void |  | ) | const
| inline

Get the LOD index.

## ◆ getLodValue()

Real Ogre::StaticGeometry::LODBucket::getLodValue | ( | void |  | ) | const
| inline

Get the LOD value.

## ◆ assign()

void Ogre::StaticGeometry::LODBucket::assign | ( | QueuedSubMesh * | qsm,
|  | ushort | atLod )

Assign a queued submesh to this bucket, using specified mesh LOD.

## ◆ build()

void Ogre::StaticGeometry::LODBucket::build | ( | bool | stencilShadows | ) |

Build.

## ◆ addRenderables()

void Ogre::StaticGeometry::LODBucket::addRenderables | ( | RenderQueue * | queue,
|  | uint8 | group,
|  | Real | lodValue )

Add children to the render queue.

## ◆ getMaterialBuckets()

const MaterialBucketMap & Ogre::StaticGeometry::LODBucket::getMaterialBuckets | ( |  | ) | const
| inline

Get an iterator over the materials in this LOD.

## ◆ getMaterialIterator()

MaterialIterator Ogre::StaticGeometry::LODBucket::getMaterialIterator | ( | void |  | ) |

Deprecated
  use getMaterialBuckets()

## ◆ visitRenderables()

void Ogre::StaticGeometry::LODBucket::visitRenderables | ( | Renderable::Visitor * | visitor,
|  | bool | debugRenderables )

## ◆ getEdgeList()

EdgeData * Ogre::StaticGeometry::LODBucket::getEdgeList | ( |  | ) | const
| inline

## ◆ getShadowRenderableList()

ShadowCaster::ShadowRenderableList & Ogre::StaticGeometry::LODBucket::getShadowRenderableList | ( |  | ) |
| inline

## ◆ isVertexProgramInUse()

bool Ogre::StaticGeometry::LODBucket::isVertexProgramInUse | ( |  | ) | const
| inline

## ◆ updateShadowRenderables()

void Ogre::StaticGeometry::LODBucket::updateShadowRenderables | ( | const Vector4 & | lightPos,
|  | const HardwareIndexBufferPtr & | indexBuffer,
|  | Real | extrusionDistance,
|  | int | flags = 0 )

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h